var TipViewController = JSB.defineClass('TipViewController : UIViewController <UITextFieldDelegate, UIWebViewDelegate>', {
    viewDidLoad: function() {
      self.navigationItem.title = '';
      self.view.backgroundColor = UIColor.whiteColor();
      self.view.layer.shadowOffset = {width:0,height:0};
      self.view.layer.shadowRadius = 10;
      self.view.layer.shadowOpacity = 0.5;
      self.view.layer.shadowColor = UIColor.colorWithWhiteAlpha(0.5,1);
  
      var textFieldFrame = {x: 0, y: 0, width: self.view.bounds.width - (20 * 2), height: 30};
  
      var urlField = new UITextField(textFieldFrame);
      urlField.borderStyle = 2;
      urlField.textColor = UIColor.blackColor();
      urlField.delegate = self;
      urlField.placeholder = '<enter a tip name>';
      urlField.text = '';
      urlField.backgroundColor = UIColor.whiteColor();
      urlField.autoresizingMask = 1 << 1 | 1 << 5;
      urlField.returnKeyType = 1;
      urlField.keyboardType = 3;
      urlField.autocapitalizationType = 0;
      urlField.autocorrectionType = 1;
      urlField.clearButtonMode = 3;
      self.view.addSubview(urlField);
  
    },
   
    textFieldShouldReturn: function(textField) {
      self.navigationItem.title = textField.text.replace(/\s/g, "").replace(/[\r\n]/g,"");
      return true;
    },
    textFieldShouldEndEditing: function(textField) {
          self.navigationItem.title = textField.text.replace(/\s/g, "").replace(/[\r\n]/g,"");
          return true;
        },

  
  });
  
